%global npm_name cssnano


Name:           nodejs-%{npm_name}
Version:        7.0.7
Release:        %autorelease
Summary:        A modular magnifier, built on top of the PostCSS ecosystem

License:        MIT
URL:            https://github.com/cssnano/%{npm_name}
Source0:        https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
BuildRequires:  symlinks

Requires:       npm(cssnano-preset-default)
Requires:       npm(lilconfig)

Provides:       npm(%{npm_name}) = %{version}-%{release}


%description
cssnano is a modern, modular compression tool written on top of the PostCSS ecosystem, which
allows us to use a lot of powerful features in order to compact CSS appropriately.


%prep
%autosetup -n package


%build
# nothing to build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr src %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr types %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps
symlinks -cr %{buildroot}%{nodejs_sitelib}/%{npm_name}


%check
%nodejs_symlink_deps --check


%files
%license LICENSE-MIT
%doc README.md
%{nodejs_sitelib}/%{npm_name}


%changelog
%autochangelog
